from os.path import join

import pygame
import defs

images = {}

def load_image(file_name):
    '''Caching for images.'''
    if not images.has_key(file_name):
        print "Loading image %s..." %file_name,
        new_image = pygame.image.load(join("data", "image", file_name)).convert()
        new_image.set_colorkey(defs.invisible_color)
        images[file_name] = new_image
        print "ok!"
    return images[file_name]
